<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:background="@drawable/vivo_common_bottom_dialog_bg">

    <!-- title -->
    <RelativeLayout
        android:id="@+id/vivo_common_dlg_title_layout"
        android:layout_width="match_parent"
        android:visibility="gone"
        android:layout_height="@dimen/dp54">

        <TextView
            android:id="@+id/vivo_common_dlg_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/dp16"
            android:singleLine="true"
            android:textSize="@dimen/sp16"
            android:textColor="@color/vivo_common_black" />
    </RelativeLayout>

    <!-- message -->
    <FrameLayout
        android:id="@+id/vivo_common_dlg_message_layer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <!-- 可替换层 -->
        <FrameLayout
            android:id="@+id/vivo_common_dlg_content"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingStart="@dimen/dp16"
            android:paddingEnd="@dimen/dp16">

            <TextView
                android:id="@+id/vivo_common_dlg_content_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:textSize="@dimen/sp14"
                android:textColor="@color/vivo_common_grey" />
        </FrameLayout>
    </FrameLayout>

    <!-- button -->
    <RelativeLayout
        android:id="@+id/vivo_common_dlg_btn_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp24"
        android:paddingTop="@dimen/dp24"
        android:paddingRight="@dimen/dp24"
        android:paddingBottom="@dimen/dp20"
        android:visibility="gone">

        <TextView
            android:id="@+id/vivo_common_dlg_btn_negative"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp36"
            android:textColor="@color/vivo_common_negative_btn_text_color"
            android:textSize="@dimen/sp16"
            android:gravity="center"
            android:singleLine="true"
            android:background="@drawable/vivo_common_negative_btn_bg_selector"
            android:visibility="gone" />

        <TextView
            android:id="@+id/vivo_common_dlg_btn_positive"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp36"
            android:textColor="@color/vivo_common_positive_btn_text_color"
            android:textSize="@dimen/sp16"
            android:gravity="center"
            android:singleLine="true"
            android:background="@drawable/vivo_common_positive_btn_bg_selector"
            android:visibility="gone" />

    </RelativeLayout>

</LinearLayout>
